#!/bin/bash

set -e
cwd=$PWD
for dir in Stokes/TaylorHood Stokes/ScottVogelius grade2/TaylorHood grade2/ScottVogelius; do
    cd ${cwd}/${dir};
    ls *.form | xargs ffc -l dolfin -f split_implementation -r quadrature
done

for dir in norms projections; do
    cd ${cwd}/${dir}
    ls *.form | xargs ffc -l dolfin -f split_implementation
done

cd ${cwd}